Loading...
Searching...
No Matches
space_base_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::space_base_rep< T, M >

Definition at line 159 of file space.h.

## Public Types

typedef space_pair_type::size_type | size_type
typedef space_constant::valued_type | valued_type

## Public Member Functions

| space_base_rep ()
| space_base_rep (const geo_basic< T, M > &omega, std::string approx, std::string prod_valued)
| space_base_rep (const geo_basic< T, M > &omega, const basis_basic< T > &b)
| space_base_rep (const space_constitution< T, M > &constit)
| space_base_rep (const space_mult_list< T, M > &)
virtual | ~space_base_rep ()
const distributor & | ownership () const
size_type | ndof () const
size_type | dis_ndof () const
const communicator & | comm () const
const space_constitution< T, M > & | get_constitution () const
const geo_basic< T, M > & | get_geo () const
const basis_basic< T > & | get_basis () const
valued_type | valued_tag () const
const std::string & | valued () const
size_type | size () const
space_component< T, M > | operator[] (size_type i_comp)
space_component_const< T, M > | operator[] (size_type i_comp) const
std::string | name () const
void | block (const domain_indirect_basic< M > &dom)
| e.g. "P1(square)", for field_expr<Expr> checks
void | unblock (const domain_indirect_basic< M > &dom)
void | block_n (const domain_indirect_basic< M > &dom)
void | unblock_n (const domain_indirect_basic< M > &dom)
bool | is_blocked (size_type idof) const
size_type | dis_iub (size_type idof) const
const point_basic< T > & | xdof (size_type idof) const
const disarray< point_basic< T >, M > & | get_xdofs () const
const distributor & | iu_ownership () const
const distributor & | ib_ownership () const
void | dis_idof (const geo_element &K, std::vector< size_type > &dis_idof) const
template<class Function >
T | momentum (const Function &f, size_type idof) const
template<class Function >
point_basic< T > | vector_momentum (const Function &f, size_type idof) const
template<class Function >
tensor_basic< T > | tensor_momentum (const Function &f, size_type idof) const
disarray< size_type, M > | build_dom_dis_idof2bgd_dis_idof (const space_base_rep< T, M > &Wh, const std::string &dom_name) const
disarray< size_type, M > | build_dom_dis_idof2bgd_dis_idof (const space_base_rep< T, M > &Wh, const geo_basic< T, M > &bgd_gamma) const
bool | operator== (const space_base_rep< T, M > &V2) const
void | parent_subgeo_owner_check () const
bool | parent_subgeo_owner_guard () const
size_type | get_parent_subgeo_owner (size_type dis_idof) const
template<class Set >
void | get_parent_subgeo_owner_dis_indexes (Set &ext_dis_idofs) const

## Protected Member Functions

void | init_xdof ()
void | freeze_guard () const
void | freeze_check () const
void | no_freeze_check () const
void | base_freeze_body () const
virtual void | freeze_body () const

## Protected Attributes

space_constitution< T, M > | _constit
disarray< point_basic< T >, M > | _xdof
bool | _have_freezed
disarray< space_pair_type, M > | _idof2blk_dis_iub
disarray< int, M > | _has_nt_basis
disarray< point_basic< T >, M > | _normal
distributor | _iu_ownership
distributor | _ib_ownership
bool | _parent_subgeo_owner_initialized
bool | _parent_subgeo_owner_reattribution_required
disarray< size_type, M > | _parent_subgeo_owner

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef space_pair_type::size_type size_type

Definition at line 164 of file space.h.

## valued_type

template<class T , class M >

typedef space_constant::valued_type valued_type

Definition at line 165 of file space.h.

## Constructor & Destructor Documentation

## space_base_rep() [1/5]

template<class T , class M >

space_base_rep | ( |  | ) |

## space_base_rep() [2/5]

template<class T , class M >

space_base_rep | ( | const geo_basic< T, M > & | omega,
|  | std::string | approx,
|  | std::string | prod_valued
| ) |  |

## space_base_rep() [3/5]

template<class T , class M >

space_base_rep | ( | const geo_basic< T, M > & | omega,
|  | const basis_basic< T > & | b
| ) |  |

## space_base_rep() [4/5]

template<class T , class M >

space_base_rep | ( | const space_constitution< T, M > & | constit | ) |

## space_base_rep() [5/5]

template<class T , class M >

space_base_rep | ( | const space_mult_list< T, M > & |  | ) |

## ~space_base_rep()

template<class T , class M >

virtual ~space_base_rep | ( |  | ) |

virtual

Definition at line 179 of file space.h.

## Member Function Documentation

## ownership()

template<class T , class M >

const distributor & ownership | ( |  | ) | const

Definition at line 183 of file space.h.

## ndof()

template<class T , class M >

size_type ndof | ( |  | ) | const

Definition at line 184 of file space.h.

## dis_ndof()

template<class T , class M >

size_type dis_ndof | ( |  | ) | const

Definition at line 185 of file space.h.

## comm()

template<class T , class M >

const communicator & comm | ( |  | ) | const

Definition at line 186 of file space.h.

## get_constitution()

template<class T , class M >

const space_constitution< T, M > & get_constitution | ( |  | ) | const

Definition at line 188 of file space.h.

## get_geo()

template<class T , class M >

const geo_basic< T, M > & get_geo | ( |  | ) | const

Definition at line 189 of file space.h.

## get_basis()

template<class T , class M >

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 190 of file space.h.

## valued_tag()

template<class T , class M >

valued_type valued_tag | ( |  | ) | const

Definition at line 191 of file space.h.

## valued()

template<class T , class M >

const std::string & valued | ( |  | ) | const

Definition at line 192 of file space.h.

## size()

template<class T , class M >

size_type size | ( |  | ) | const

Definition at line 193 of file space.h.

## operator[]() [1/2]

template<class T , class M >

space_component< T, M > operator[] | ( | size_type | i_comp | ) |

## operator[]() [2/2]

template<class T , class M >

space_component_const< T, M > operator[] | ( | size_type | i_comp | ) | const

## name()

template<class T , class M >

std::string name | ( |  | ) | const

## block()

template<class T , class M >

void block | ( | const domain_indirect_basic< M > & | dom | ) |

e.g. "P1(square)", for field_expr<Expr> checks

Definition at line 199 of file space.h.

## unblock()

template<class T , class M >

void unblock | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 200 of file space.h.

## block_n()

template<class T , class M >

void block_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 202 of file space.h.

## unblock_n()

template<class T , class M >

void unblock_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 203 of file space.h.

## is_blocked()

template<class T , class M >

bool is_blocked | ( | size_type | idof | ) | const

Definition at line 205 of file space.h.

## dis_iub()

template<class T , class M >

size_type dis_iub | ( | size_type | idof | ) | const

Definition at line 206 of file space.h.

## xdof()

template<class T , class M >

const point_basic< T > & xdof | ( | size_type | idof | ) | const

Definition at line 207 of file space.h.

## get_xdofs()

template<class T , class M >

const disarray< point_basic< T >, M > & get_xdofs | ( |  | ) | const

Definition at line 208 of file space.h.

## iu_ownership()

template<class T , class M >

const distributor & iu_ownership | ( |  | ) | const

Definition at line 210 of file space.h.

## ib_ownership()

template<class T , class M >

const distributor & ib_ownership | ( |  | ) | const

Definition at line 211 of file space.h.

## dis_idof()

template<class T , class M >

void dis_idof | ( | const geo_element & | K,
|  | std::vector< size_type > & | dis_idof
| ) |  | const

## momentum()

template<class T , class M >
template<class Function >

T momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 217 of file space.h.

## vector_momentum()

template<class T , class M >
template<class Function >

point_basic< T > vector_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 220 of file space.h.

## tensor_momentum()

template<class T , class M >
template<class Function >

tensor_basic< T > tensor_momentum | ( | const Function & | f,
|  | size_type | idof
| ) |  | const

Definition at line 223 of file space.h.

## build_dom_dis_idof2bgd_dis_idof() [1/2]

template<class T , class M >

disarray< size_type, M > build_dom_dis_idof2bgd_dis_idof | ( | const space_base_rep< T, M > & | Wh,
|  | const std::string & | dom_name
| ) |  | const

## build_dom_dis_idof2bgd_dis_idof() [2/2]

template<class T , class M >

disarray< size_type, M > build_dom_dis_idof2bgd_dis_idof | ( | const space_base_rep< T, M > & | Wh,
|  | const geo_basic< T, M > & | bgd_gamma
| ) |  | const

## operator==()

template<class T , class M >

bool operator== | ( | const space_base_rep< T, M > & | V2 | ) | const

Definition at line 233 of file space.h.

## parent_subgeo_owner_check()

template<class T , class M >

void parent_subgeo_owner_check | ( |  | ) | const

Definition at line 241 of file space.h.

## parent_subgeo_owner_guard()

template<class T , class M >

bool parent_subgeo_owner_guard | ( |  | ) | const

## get_parent_subgeo_owner()

template<class T , class M >

size_type get_parent_subgeo_owner | ( | size_type | dis_idof | ) | const

## get_parent_subgeo_owner_dis_indexes()

template<class T , class M >
template<class Set >

void get_parent_subgeo_owner_dis_indexes | ( | Set & | ext_dis_idofs | ) | const

## init_xdof()

template<class T , class M >

void init_xdof | ( |  | ) |

protected

## freeze_guard()

template<class T , class M >

void freeze_guard | ( |  | ) | const

protected

Definition at line 253 of file space.h.

## freeze_check()

template<class T , class M >

void freeze_check | ( |  | ) | const

protected

Definition at line 258 of file space.h.

## no_freeze_check()

template<class T , class M >

void no_freeze_check | ( |  | ) | const

protected

Definition at line 261 of file space.h.

## base_freeze_body()

template<class T , class M >

void base_freeze_body | ( |  | ) | const

protected

## freeze_body()

template<class T , class M >

virtual void freeze_body | ( |  | ) | const

protected virtual

Reimplemented in space_rep< T, distributed >.

Definition at line 265 of file space.h.

## Member Data Documentation

## _constit

template<class T , class M >

space_constitution<T,M> _constit

protected

Definition at line 267 of file space.h.

## _xdof

template<class T , class M >

disarray<point_basic<T>,M > _xdof

protected

Definition at line 268 of file space.h.

## _have_freezed

template<class T , class M >

bool _have_freezed

mutable protected

Definition at line 269 of file space.h.

## _idof2blk_dis_iub

template<class T , class M >

disarray<space_pair_type,M> _idof2blk_dis_iub

mutable protected

Definition at line 270 of file space.h.

## _has_nt_basis

template<class T , class M >

disarray<int,M> _has_nt_basis

mutable protected

Definition at line 271 of file space.h.

## _normal

template<class T , class M >

disarray<point_basic<T>,M> _normal

mutable protected

Definition at line 272 of file space.h.

## _iu_ownership

template<class T , class M >

distributor _iu_ownership

mutable protected

Definition at line 273 of file space.h.

## _ib_ownership

template<class T , class M >

distributor _ib_ownership

mutable protected

Definition at line 274 of file space.h.

## _parent_subgeo_owner_initialized

template<class T , class M >

bool _parent_subgeo_owner_initialized

mutable protected

Definition at line 275 of file space.h.

## _parent_subgeo_owner_reattribution_required

template<class T , class M >

bool _parent_subgeo_owner_reattribution_required

mutable protected

Definition at line 276 of file space.h.

## _parent_subgeo_owner

template<class T , class M >

disarray<size_type,M> _parent_subgeo_owner

mutable protected

Definition at line 277 of file space.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/space.h